Get a building
Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.
GET
/v1/buildings/{id}Authorization
AuthorizationBearer token · headerrequiredWorkspace API key (`bh_…`).
Path parameters
idstringrequiredmin length 1
Responses
200OK
idstringrequiredcontactIdstringrequirednamestringrequiredstreetstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anypostalCodestring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anycitystring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anycountryCodestringrequiredbuildingTypestring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anybuildingYearinteger | anyrequiredShow propertiesHide properties
Any of:
integer
integerany
anylivingAreanumber | anyrequiredShow propertiesHide properties
Any of:
number
numberany
anynotesstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anycreatedAtstring<date-time>requiredupdatedAtstring<date-time>requiredRequest
curl -X GET "https://app.bauhow.com/api/v1/buildings/string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://app.bauhow.com/api/v1/buildings/string", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://app.bauhow.com/api/v1/buildings/string",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"id": "string",
"contactId": "string",
"name": "string",
"street": "string",
"postalCode": "string",
"city": "string",
"countryCode": "string",
"buildingType": "string",
"buildingYear": 0,
"livingArea": 0,
"notes": "string",
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}